mixin input(items)
  each item in items
    -if (typeof(item.placeholder) === 'undefined') item.placeholder = ' '
    if (item.type === 'text')
      input(type!=item.type, name!=item.name, class=item.classic, placeholder!=item.placeholder, required)&attributes(attributes)
    else if (item.type === 'submit')
      input(type !=item.type, name!=item.name, class=item.classic, value!= item.value, title!= item.title)&attributes(attributes)
